| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::NamespaceListView Class Reference
Inheritance diagram for Digikam::NamespaceListView:

## Public Slots
void | slotDeleteSelected ()
| slotDeleteSelected - delete selected item from Quick Access List
void | slotMoveItemDown ()
void | slotMoveItemUp ()

## Signals
void | signalItemsChanged ()
| contextMenuEvent - reimplemented method from QListView to handle custom context menu

## Public Member Functions
| NamespaceListView (QWidget *const parent=nullptr)
QModelIndexList | mySelectedIndexes ()

## Protected Member Functions
void | dropEvent (QDropEvent *e) override
QModelIndex | indexVisuallyAt (const QPoint &p)
void | startDrag (Qt::DropActions supportedActions) override
| Reimplemented methods to enable custom drag-n-drop in QListView.